%define _unpackaged_files_terminate_build 1

%define link https://download.etersoft.ru/pub/Etersoft/XimperLinux
%define keyid CC6FE324E5120EAD

Name: ximper-repos
Version: 1.0
Release: eter1

Summary: Ximper Linux GPG-key and repositories
License: GPL-2.0-or-later
Group: System/Configuration/Packaging
Url: https://ximperlinux.ru 

Source: %name-%version.tar

Obsoletes: branding-etersoft-ximper-apt-conf < %EVR
Provides: branding-etersoft-ximper-apt-conf = %EVR

Requires: apt-conf
Requires: apt-https
Requires: alt-gpgkeys

%description
This package contains just a links to the XimperLinux Repos and public GPG-key.

%prep
%setup

%build
subst "s|@keyid@|%keyid|" usr/lib/rpm/ximper-repo.filetrigger

( echo "rpm [ximper] %link Current/Additives/%_arch addon"
  echo "rpm [ximper] %link Current/Additives/noarch addon"
) > etc/apt/sources.list.d/ximper-additives.list
cat etc/apt/sources.list.d/ximper-additives.list

%install
mkdir -p -m0755 %buildroot

mv -f etc usr %buildroot/
chmod 0644 %buildroot/etc/apt/sources.list.d/ximper-additives.list

%post
echo "/usr/lib/alt-gpgkeys/pubring.gpg" |
	/usr/lib/rpm/ximper-repo.filetrigger

%files
%dir /etc/ssl/ximper
/etc/ssl/ximper/ximper-signing.gpg
/etc/apt/vendors.list.d/ximper.list
%config(noreplace) /etc/apt/sources.list.d/ximper-additives.list
/usr/lib/rpm/ximper-repo.filetrigger

%changelog
* Thu Nov 28 2024 Roman Alifanov <ximper@altlinux.org> 1.0-eter1
- initial build

